@import url("https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&family=Playfair+Display:ital,wght@0,400..900;1,400..900&family=Roboto:ital,wght@0,100..900;1,100..900&family=Teachers:ital,wght@0,400..800;1,400..800&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

.hero-container {
  width: 100%;
  height: 100vh;
  display: flex;
  align-items: center;
  justify-content: center;
  background: radial-gradient(rgba(0, 0, 0, 0.447), #000000),
    url("./img/imgi_9_landscape-shot-rice-mill-with-reflection-and-sunset.jpeg")
      no-repeat;
  background-position: center;
  background-size: cover;
}

.container {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  place-items: center;
  font-family: "Lato", sans-serif;
}

.text-con {
  color: #fff;
}

.text-con h1 {
  font-size: 35px;
  font-weight: 800;
  border: 2px solid wheat;
  width: fit-content;
  padding: 0px 0px 0px 5px;
}

.text-con h2 {
  font-size: 68px;
  font-family: "Playfair Display", serif;
  line-height: 1.2;
  margin-bottom: 20px;
}

.text-con p {
  font-size: 20px;
  width: 80%;
  margin-bottom: 15px;
  font-weight: 400;
  opacity: 0.8;
}

span {
  color: #e0b13c;
}

h1 span {
  background-color: #e0b13c;
  color: #fff;
  padding: 0px 10px;
}
img {
  width: 100%;
}

/* ------------------------------------------------ */
/* RESPONSIVENESS BELOW (DESIGN NOT CHANGED)        */
/* ------------------------------------------------ */

/* Tablets */
@media (max-width: 1024px) {
  .text-con h2 {
    font-size: 55px;
    margin-bottom: 20px;
  }

  .text-con h1 {
    font-size: 30px;
  }

  .text-con p {
    font-size: 18px;
    width: 90%;
  }
}

/* Large Mobiles */

@media (max-width: 768px) {
  .hero-container {
    width: 100%;
  }
  .container {
    display: flex;
    flex-direction: column-reverse;
    text-align: center;
    gap: 20px;
    padding: 20px;
  }

  .text-con h2 {
    font-size: 45px;
    margin-bottom: 20px;
  }

  .text-con h1 {
    margin: auto;
    font-size: 28px;
    margin-bottom: 20px;
  }

  .text-con p {
    font-size: 17px;
    width: 100%;
    margin: auto;
  }
}

/* Small Mobiles */
@media (max-width: 480px) {
  .hero-container {
    padding: 20px;
    height: 100%;
  }

  .text-con h2 {
    font-size: 32px;
  }

  .text-con h1 {
    font-size: 22px;
    padding: 3px 6px;
    margin-bottom: 20px;
  }

  .text-con p {
    font-size: 16px;
  }
}
